<template>
  <v-dialog max-width="500" v-model="opened">
    <template v-slot:activator="{ on, attrs }">
      <v-btn
        block
        color="primary"
        v-bind="attrs"
        v-on="on"
        class="text-none"
        large
        style="font-size: 18px; font-weight: 500; font-family: Montserrat sans-serif; line-height: 17px !important;"
      >
        <v-icon left>mdi-wallet-plus</v-icon>
        Пополнить
      </v-btn>
    </template>

    <v-card>
      <v-toolbar dense color="secondary">
        <v-toolbar-title>
          Пополнить
        </v-toolbar-title>
        <v-spacer></v-spacer>
        <v-btn icon @click="opened = false"><v-icon>mdi-close</v-icon></v-btn>
      </v-toolbar>
      <v-container>
        <v-row justify="center">
          <v-col cols="12">
            <v-img
              width="300px"
              height="300px"
              :src="
                `https://chart.googleapis.com/chart?chs=300x300&cht=qr&chl=${account.address}&choe=UTF-8`
              "
            ></v-img
          ></v-col>
        </v-row>
        <v-row>
          <v-col cols="12">
            <v-text-field
              outlined
              readonly
              :value="account.address"
              hide-details
            >
              <template v-slot:append>
                <v-icon @click="copyAddressToClipboard"
                  >mdi-content-copy</v-icon
                >
              </template>
            </v-text-field>
          </v-col>
          <v-col cols="12">
            <p>
              Для пополнения используйте реквизиты выше <br />
              Поддерживается только пополнение BEP20 токенов в сети BSC
            </p>
          </v-col>
        </v-row>
      </v-container>
    </v-card>
  </v-dialog>
</template>

<script lang="ts">
import Vue from 'vue';
import Component from 'vue-class-component';
import { AccountResponse } from '@/api/ledius-token';
import { Prop } from 'vue-property-decorator';

@Component({})
export default class AccountDepositModal extends Vue {
  private opened: boolean = false;

  @Prop({
    required: true,
    type: Object
  })
  private readonly account!: AccountResponse;

  private async copyAddressToClipboard(): Promise<void> {
    await navigator.clipboard.writeText(this.account.address);
  }
}
</script>

<style scoped></style>
